/*
 * depend.c
 * Copyright  1997 Darren Salt
 */

#include <stdlib.h>
#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include "error.h"
#include "depend.h"

FILE *dependfile;
char* DependFileName;
extern char* SourceFileName, *ObjFileName;


void dependPut(const char* pre, const char* name, const char* post)
{
  if (!dependfile) return;
  fprintf(dependfile,"%s%s%s",pre,name,post);
  /* may need further processing */
}


void dependOpen(void)
{
  if (dependfile || DependFileName==0) return;
  dependfile=fopen(DependFileName,"w");
  if (!dependfile) {
    DependFileName=0;
    error(ErrorSerious,FALSE,"Failed to open dependencies file");
  } else {
    dependPut("",ObjFileName,":");
    dependPut(" ",SourceFileName,"");
  }
}
