/* os.h
 */

#ifndef __os_h
#define __os_h

#include "endiandef.h"

typedef struct os_error
{
  int errno;
  char errmess[256];
} os_error;

extern char* ErrorFile;

WORD switonum(char* swi);
os_error* cdir(char *name);

#ifndef __riscos
#define OSCanonicalisePath(a,b,c,d,e) strdup(a)
#endif

int (OSCanonicalisePath)(char *path,
                       char *buffer, int bufferSize,
                       char *systemVar, char *defaultPath);

os_error *ThrowbackStart(void);
os_error *ThrowbackSendStart(const char *filename);
os_error *ThrowbackSendError(int level,long int lineno,const char *error);
os_error *ThrowbackEnd(void);


#define Throwback_ReasonProcessing	0
#define Throwback_ReasonErrorDetails	1
#define Throwback_ReasonInfoDetails	2

#define ThrowbackInfo			-1
#define ThrowbackWarning		0
#define ThrowbackError			1
#define ThrowbackSeriousError		2

#endif
