#ifndef __CTYPE_H
#define __CTYPE_H

#if 'A'!=65
#include <ctype.h>
#else

#define iscntrl(c) ((c)<32 || (c)>126)
#define isprint(c) ((c)>31 && (c)<127)
#define isdigit(c) ((c)>47 && (c)<58)
#define isxdigit(c) (isdigit(c) || (((c) & 0xDF)>64 && ((c) & 0xDF)<71))
#define isalnum(c) (isalpha(c) || isdigit(c))
#define isalpha(c) (((c) & 0xDF)>64 && ((c) & 0xDF)<91)
#define islower(c) ((c)>96 && (c)<123)
#define isupper(c) ((c)>64 && (c)<91)
#define isgraph(c) ((c)>32 && (c)<127)
#define ispunct(c) (isprint(c) && !isalnum(c))
#define isspace(c) ((c)==32||(c)==12||(c)==10||(c)==13||(c)==9||(c)==11)

extern int (iscntrl)(int);
extern int (isprint)(int);
extern int (isdigit)(int);
extern int (isxdigit)(int);
extern int (isalnum)(int);
extern int (isalpha)(int);
extern int (islower)(int);
extern int (isupper)(int);
extern int (isgraph)(int);
extern int (ispunct)(int);
extern int (isspace)(int);

#define tolower(c) (isupper(c) ? (c) | 32 : c)
#define toupper(c) (islower(c) ? (c) & ~32 : c)

extern int (tolower)(int);
extern int (toupper)(int);

#endif
#endif
